aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruce Ashfield <bruce.ashfield@gmail.com>2020-08-12 13:03:31 -0400
committerRichard Purdie <richard.purdie@linuxfoundation.org>2020-08-13 08:03:32 +0100
commita69746351029a878d4d41baeb3f679d65118d5e3 (patch)
tree9bbdbbcdc329099efb77e766cb0f833f46a44384
parent36b848118fc4963118c96b0c3211e7ee017790eb (diff)
downloadopenembedded-core-contrib-a69746351029a878d4d41baeb3f679d65118d5e3.tar.gz
openembedded-core-contrib-a69746351029a878d4d41baeb3f679d65118d5e3.tar.bz2
openembedded-core-contrib-a69746351029a878d4d41baeb3f679d65118d5e3.zip
kernel-devsrc: 5.8 + gcc10 require gcc-plugins + libmpc-dev
In order to execute 'make scripts prepare' on target with the 5.8 kernel and gcc 10, we need to have the gcc-plugins and libmpc-dev on target. Although not strictly required for all kernel versions, they don't do any harm when included. We add them to the RDEPENDS of devsrc to avoid the errors: scripts/gcc-plugins/gcc-common.h:5:10: fatal error: bversion.h: No such file or directory | #include "bversion.h" and /usr/lib/gcc/arm-poky-linux-gnueabi/10.1.0/plugin/include/builtins.h:23:10: fatal error: mpc.h: No such file or directory Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/recipes-kernel/linux/kernel-devsrc.bb2
1 files changed, 2 insertions, 0 deletions
diff --git a/meta/recipes-kernel/linux/kernel-devsrc.bb b/meta/recipes-kernel/linux/kernel-devsrc.bb
index 34b947b5999..a9c7be0f819 100644
--- a/meta/recipes-kernel/linux/kernel-devsrc.bb
+++ b/meta/recipes-kernel/linux/kernel-devsrc.bb
@@ -290,3 +290,5 @@ RDEPENDS_${PN} = "bc python3 flex bison ${TCLIBC}-utils"
RDEPENDS_${PN} += "openssl-dev util-linux"
# and x86 needs a bit more for 4.15+
RDEPENDS_${PN} += "${@bb.utils.contains('ARCH', 'x86', 'elfutils', '', d)}"
+# 5.8+ needs gcc-plugins libmpc-dev
+RDEPENDS_${PN} += "gcc-plugins libmpc-dev"